<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): erpcgen::syntax_error2 Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classerpcgen_1_1syntax__error2.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classerpcgen_1_1syntax__error2-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">erpcgen::syntax_error2 Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for erpcgen::syntax_error2:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classerpcgen_1_1syntax__error2.png" usemap="#erpcgen::syntax_5Ferror2_map" alt=""/>
  <map id="erpcgen::syntax_5Ferror2_map" name="erpcgen::syntax_error2_map">
<area href="classerpcgen_1_1erpc__error.html" alt="erpcgen::erpc_error" shape="rect" coords="0,112,144,136"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7d4d3530d83371549cb1172552c87e06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d4d3530d83371549cb1172552c87e06"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>syntax_error2</b> (const std::string &amp;__arg, <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> loc, std::string &amp;fileName)</td></tr>
<tr class="separator:a7d4d3530d83371549cb1172552c87e06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3a9111a1058e9159be13df3a20a99eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3a9111a1058e9159be13df3a20a99eb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>syntax_error2</b> (const char *__arg, <a class="el" href="structerpcgen_1_1token__loc__t.html">token_loc_t</a> loc, std::string &amp;fileName)</td></tr>
<tr class="separator:ab3a9111a1058e9159be13df3a20a99eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a8b4dda8fb584fe250d2eab767c5df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23a8b4dda8fb584fe250d2eab767c5df"></a>
virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><b>what</b> () const NOEXCEPT NOTHROW</td></tr>
<tr class="separator:a23a8b4dda8fb584fe250d2eab767c5df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classerpcgen_1_1erpc__error"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classerpcgen_1_1erpc__error')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classerpcgen_1_1erpc__error.html">erpcgen::erpc_error</a></td></tr>
<tr class="memitem:a7f217b79682d25c6e99a3c987a29ad42 inherit pub_methods_classerpcgen_1_1erpc__error"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7f217b79682d25c6e99a3c987a29ad42"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>erpc_error</b> (const std::string &amp;__arg)</td></tr>
<tr class="separator:a7f217b79682d25c6e99a3c987a29ad42 inherit pub_methods_classerpcgen_1_1erpc__error"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classerpcgen_1_1erpc__error"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classerpcgen_1_1erpc__error')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classerpcgen_1_1erpc__error.html">erpcgen::erpc_error</a></td></tr>
<tr class="memitem:a3e6ff22db4b0c94d01ef96c880d7d4c7 inherit pro_methods_classerpcgen_1_1erpc__error"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e6ff22db4b0c94d01ef96c880d7d4c7"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>erpc_error</b> (const std::string &amp;__arg, std::string errorName)</td></tr>
<tr class="separator:a3e6ff22db4b0c94d01ef96c880d7d4c7 inherit pro_methods_classerpcgen_1_1erpc__error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classerpcgen_1_1erpc__error"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classerpcgen_1_1erpc__error')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classerpcgen_1_1erpc__error.html">erpcgen::erpc_error</a></td></tr>
<tr class="memitem:ac91c128b0b77b827c1ae5c76326b3df8 inherit pro_attribs_classerpcgen_1_1erpc__error"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac91c128b0b77b827c1ae5c76326b3df8"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>m_message</b></td></tr>
<tr class="separator:ac91c128b0b77b827c1ae5c76326b3df8 inherit pro_attribs_classerpcgen_1_1erpc__error"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2dd810ff78d4ee9e5f4a15bfbbea7b22 inherit pro_attribs_classerpcgen_1_1erpc__error"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2dd810ff78d4ee9e5f4a15bfbbea7b22"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>m_errName</b></td></tr>
<tr class="separator:a2dd810ff78d4ee9e5f4a15bfbbea7b22 inherit pro_attribs_classerpcgen_1_1erpc__error"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_parse_errors_8h_source.html">ParseErrors.h</a></li>
<li>ParseErrors.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
